// Code generated by MockGen. DO NOT EDIT.
// Source: backup_grpc.pb.go

// Package mocks is a generated GoMock package.
package mocks

import (
	context "context"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	v1 "gitlab.com/infranetes/backup/proto/gen/infranetes/user/v1"
	grpc "google.golang.org/grpc"
)

// MockBackupServiceClient is a mock of BackupServiceClient interface.
type MockBackupServiceClient struct {
	ctrl     *gomock.Controller
	recorder *MockBackupServiceClientMockRecorder
}

// MockBackupServiceClientMockRecorder is the mock recorder for MockBackupServiceClient.
type MockBackupServiceClientMockRecorder struct {
	mock *MockBackupServiceClient
}

// NewMockBackupServiceClient creates a new mock instance.
func NewMockBackupServiceClient(ctrl *gomock.Controller) *MockBackupServiceClient {
	mock := &MockBackupServiceClient{ctrl: ctrl}
	mock.recorder = &MockBackupServiceClientMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockBackupServiceClient) EXPECT() *MockBackupServiceClientMockRecorder {
	return m.recorder
}

// CreateBackup mocks base method.
func (m *MockBackupServiceClient) CreateBackup(ctx context.Context, in *v1.CreateBackupRequest, opts ...grpc.CallOption) (*v1.CreateBackupResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "CreateBackup", varargs...)
	ret0, _ := ret[0].(*v1.CreateBackupResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CreateBackup indicates an expected call of CreateBackup.
func (mr *MockBackupServiceClientMockRecorder) CreateBackup(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateBackup", reflect.TypeOf((*MockBackupServiceClient)(nil).CreateBackup), varargs...)
}

// GetBackupById mocks base method.
func (m *MockBackupServiceClient) GetBackupById(ctx context.Context, in *v1.GetBackupByIdRequest, opts ...grpc.CallOption) (*v1.GetBackupByIdResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "GetBackupById", varargs...)
	ret0, _ := ret[0].(*v1.GetBackupByIdResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetBackupById indicates an expected call of GetBackupById.
func (mr *MockBackupServiceClientMockRecorder) GetBackupById(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetBackupById", reflect.TypeOf((*MockBackupServiceClient)(nil).GetBackupById), varargs...)
}

// GetBackups mocks base method.
func (m *MockBackupServiceClient) GetBackups(ctx context.Context, in *v1.GetBackupsRequest, opts ...grpc.CallOption) (*v1.GetBackupsResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "GetBackups", varargs...)
	ret0, _ := ret[0].(*v1.GetBackupsResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetBackups indicates an expected call of GetBackups.
func (mr *MockBackupServiceClientMockRecorder) GetBackups(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetBackups", reflect.TypeOf((*MockBackupServiceClient)(nil).GetBackups), varargs...)
}

// MockBackupServiceServer is a mock of BackupServiceServer interface.
type MockBackupServiceServer struct {
	ctrl     *gomock.Controller
	recorder *MockBackupServiceServerMockRecorder
}

// MockBackupServiceServerMockRecorder is the mock recorder for MockBackupServiceServer.
type MockBackupServiceServerMockRecorder struct {
	mock *MockBackupServiceServer
}

// NewMockBackupServiceServer creates a new mock instance.
func NewMockBackupServiceServer(ctrl *gomock.Controller) *MockBackupServiceServer {
	mock := &MockBackupServiceServer{ctrl: ctrl}
	mock.recorder = &MockBackupServiceServerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockBackupServiceServer) EXPECT() *MockBackupServiceServerMockRecorder {
	return m.recorder
}

// CreateBackup mocks base method.
func (m *MockBackupServiceServer) CreateBackup(arg0 context.Context, arg1 *v1.CreateBackupRequest) (*v1.CreateBackupResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CreateBackup", arg0, arg1)
	ret0, _ := ret[0].(*v1.CreateBackupResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CreateBackup indicates an expected call of CreateBackup.
func (mr *MockBackupServiceServerMockRecorder) CreateBackup(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateBackup", reflect.TypeOf((*MockBackupServiceServer)(nil).CreateBackup), arg0, arg1)
}

// GetBackupById mocks base method.
func (m *MockBackupServiceServer) GetBackupById(arg0 context.Context, arg1 *v1.GetBackupByIdRequest) (*v1.GetBackupByIdResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetBackupById", arg0, arg1)
	ret0, _ := ret[0].(*v1.GetBackupByIdResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetBackupById indicates an expected call of GetBackupById.
func (mr *MockBackupServiceServerMockRecorder) GetBackupById(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetBackupById", reflect.TypeOf((*MockBackupServiceServer)(nil).GetBackupById), arg0, arg1)
}

// GetBackups mocks base method.
func (m *MockBackupServiceServer) GetBackups(arg0 context.Context, arg1 *v1.GetBackupsRequest) (*v1.GetBackupsResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetBackups", arg0, arg1)
	ret0, _ := ret[0].(*v1.GetBackupsResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetBackups indicates an expected call of GetBackups.
func (mr *MockBackupServiceServerMockRecorder) GetBackups(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetBackups", reflect.TypeOf((*MockBackupServiceServer)(nil).GetBackups), arg0, arg1)
}

// MockUnsafeBackupServiceServer is a mock of UnsafeBackupServiceServer interface.
type MockUnsafeBackupServiceServer struct {
	ctrl     *gomock.Controller
	recorder *MockUnsafeBackupServiceServerMockRecorder
}

// MockUnsafeBackupServiceServerMockRecorder is the mock recorder for MockUnsafeBackupServiceServer.
type MockUnsafeBackupServiceServerMockRecorder struct {
	mock *MockUnsafeBackupServiceServer
}

// NewMockUnsafeBackupServiceServer creates a new mock instance.
func NewMockUnsafeBackupServiceServer(ctrl *gomock.Controller) *MockUnsafeBackupServiceServer {
	mock := &MockUnsafeBackupServiceServer{ctrl: ctrl}
	mock.recorder = &MockUnsafeBackupServiceServerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockUnsafeBackupServiceServer) EXPECT() *MockUnsafeBackupServiceServerMockRecorder {
	return m.recorder
}

// mustEmbedUnimplementedBackupServiceServer mocks base method.
func (m *MockUnsafeBackupServiceServer) mustEmbedUnimplementedBackupServiceServer() {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "mustEmbedUnimplementedBackupServiceServer")
}

// mustEmbedUnimplementedBackupServiceServer indicates an expected call of mustEmbedUnimplementedBackupServiceServer.
func (mr *MockUnsafeBackupServiceServerMockRecorder) mustEmbedUnimplementedBackupServiceServer() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "mustEmbedUnimplementedBackupServiceServer", reflect.TypeOf((*MockUnsafeBackupServiceServer)(nil).mustEmbedUnimplementedBackupServiceServer))
}
